// creator  : weidu.exe (version 23100)
// argument : TCADRIL.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TCADRIL~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #3 /* Triggers after states #: 3 4 10 even though they appear after this state */
~RandomNum(3,1)
~ THEN BEGIN 0 // from:
  SAY #27835 /* ~The foolishness of this Garrick fellow... does he think the Lady Irlana does not see through his ruse?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 3 4 10 even though they appear after this state */
~RandomNum(3,2)
~ THEN BEGIN 1 // from:
  SAY #27836 /* ~I am Sir Cadril, Knight of the Most Noble Order of the Radiant Heart.  Pleased to make your acquaintance, my <LADYLORD>.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 3 4 10 even though they appear after this state */
~RandomNum(3,3)
~ THEN BEGIN 2 // from:
  SAY #27837 /* ~It is quite amusing to watch Garrick perform these endeavours in his efforts to win the Lady's heart.  I cannot wait to see what he does, next.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~InParty("Keldorn")
See("Keldorn")
!StateCheck("Keldorn",STATE_SLEEPING)
RandomNum(2,1)
Global("Keldorn","LOCALS",0)
~ THEN BEGIN 3 // from:
  SAY #27851 /* ~Hail, Keldorn!  I have not seen you in some time!  How fare you?~ */
  IF ~~ THEN DO ~SetGlobal("Keldorn","LOCALS",1)
~ EXTERN ~KELDORJ~ 68
END

IF WEIGHT #1 ~InParty("Anomen")
See("Anomen")
!StateCheck("Anomen",STATE_SLEEPING)
RandomNum(2,1)
Global("Anomen","LOCALS",0)
~ THEN BEGIN 4 // from:
  SAY #27853 /* ~Ah... Anomen.  I see you are... back.~ */
  IF ~~ THEN DO ~SetGlobal("Anomen","LOCALS",1)
~ EXTERN ~ANOMENJ~ 140
END

IF ~~ THEN BEGIN 5 // from: TIRLANA:8.0
  SAY #27877 /* ~(Are you serious, Irlana?  The man's a fop!)~ */
  IF ~~ THEN EXTERN ~TCYRANDO~ 5
END

IF ~~ THEN BEGIN 6 // from: TGARRICK:10.0
  SAY #27880 /* ~(Heh... you've got a prize, here, my lady.)~ */
  IF ~~ THEN EXTERN ~TIRLANA~ 9
END

IF ~~ THEN BEGIN 7 // from: TIRLANA:10.0
  SAY #27885 /* ~(Patience, my lady... this could be amusing.)~ */
  IF ~~ THEN EXTERN ~TIRLANA~ 11
END

IF ~~ THEN BEGIN 8 // from: TGARRICK:15.0
  SAY #27893 /* ~(snort)  (chuckle)~ */
  IF ~~ THEN EXTERN ~TIRLANA~ 12
END

IF ~~ THEN BEGIN 9 // from: TIRLANA:13.0
  SAY #27901 /* ~Well, perhaps the gnome fellow standing behind our good Garrick has the answer to that.  What say you, sir gnome?~ */
  IF ~~ THEN EXTERN ~TCYRANDO~ 11
END

IF WEIGHT #2 ~Global("GarrickSpeak","GLOBAL",1)
GlobalTimerExpired("Garrick","GLOBAL")
!Dead("tcyrando")
!StateCheck("tcyrando",STATE_SLEEPING)
!Dead("tirlana")
!StateCheck("tirlana",STATE_SLEEPING)~ THEN BEGIN 10 // from:
  SAY #27903 /* ~I would like to congratulate you both on your wedding.  I have ne'er seen an odder pair, but your love is both obvious and endearing.~ */
  IF ~~ THEN EXTERN ~TCYRANDO~ 12
END

IF ~~ THEN BEGIN 11 // from: TIRLANA:14.0
  SAY #27906 /* ~And just where is that Garrick fellow, now?~ */
  IF ~~ THEN EXTERN ~TCYRANDO~ 13
END

IF ~~ THEN BEGIN 12 // from: TIRLANA:15.0
  SAY #27909 /* ~Yes, well, congratulations, again.  And farewell to you both, for now... I shall see you on your return.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXTERN ~TIRLANA~ 16
END
